<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateFormOther extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'profile_id'     => ['required'],
            'title'          => ['required','max:190'],
            'description'    => ['required'],  

        ];
    }


    public function messages()
    {
        return [
            'profile_id.required'        => 'Seleccione Perfil relacionado a la tarea.',
            'title.required'             => 'El campo Título es requerido.',
            'title.max'                  => 'Cantidad máxima es de 190 caracteres',
            'description.required'       => 'El campo Descripción es requerido.',

        ];
    }
}
